summaryrefslogtreecommitdiffstats
path: root/packaging/makeself/install-alpine-packages.sh
diff options
context:
space:
mode:
authorAustin S. Hemmelgarn <austin@netdata.cloud>2021-10-12 07:58:33 -0400
committerGitHub <noreply@github.com>2021-10-12 07:58:33 -0400
commitf49103aa8a04f451c670efb970687f0bf6bdbfd3 (patch)
treea1861b8b31b339ee13952be2f9fbe249603f6893 /packaging/makeself/install-alpine-packages.sh
parentb015f2afe5bc5878ead85250a56451d20e27b149 (diff)
Added static builds for ARMv7l and ARMv8a (#11490)
* Generic fixes for cross-arch static image builds. * Fixed handling of ARM static builds. * Add ARMv7l and ARMv8a static builds. * Fix static build deps. * Fix static build checks. * Bump OpenSSL version and optimize OpenSSL build. * Optimize bash build. * Bump cURL version and optimize cURL build. * Fix static build deps. * Fix bash build. * Further build fixes. * Fix cURL build. * Fix emulation handling.
Diffstat (limited to 'packaging/makeself/install-alpine-packages.sh')
-rwxr-xr-xpackaging/makeself/install-alpine-packages.sh36
1 files changed, 19 insertions, 17 deletions
diff --git a/packaging/makeself/install-alpine-packages.sh b/packaging/makeself/install-alpine-packages.sh
index a3e8cf6057..d197f1e842 100755
--- a/packaging/makeself/install-alpine-packages.sh
+++ b/packaging/makeself/install-alpine-packages.sh
@@ -9,35 +9,37 @@
# Add required APK packages
apk add --no-cache -U \
- bash \
- wget \
- curl \
- ncurses \
- git \
- netcat-openbsd \
alpine-sdk \
autoconf \
automake \
- gcc \
- make \
+ bash \
+ binutils \
cmake \
- libtool \
- pkgconfig \
- util-linux-dev \
+ curl \
+ gcc \
+ git \
gnutls-dev \
- zlib-dev \
- zlib-static \
+ gzip \
libmnl-dev \
libnetfilter_acct-dev \
+ libtool \
libuv-dev \
libuv-static \
lz4-dev \
lz4-static \
- snappy-dev \
+ make \
+ ncurses \
+ netcat-openbsd \
+ openssh \
+ pkgconfig \
protobuf-dev \
- binutils \
- gzip \
- xz || exit 1
+ snappy-dev \
+ util-linux-dev \
+ wget \
+ xz \
+ zlib-dev \
+ zlib-static ||
+ exit 1
# snappy doesn't have static version in alpine, let's compile it
export SNAPPY_VER="1.1.7"